<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Бар'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center>
<div class='bdeg1'><img src='160_bar-zippo.jpg' /></div></center><link rel='stylesheet' href='style.css' type='text/css' /><dl class='mai2n'>";
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
echo'<br/>Здорова '.$user['nick'].'!<br/>';
echo'У тeбя: <font color="red">'.$user['gorod_money'].' зелени</font><br/>';
echo 'Здесь можешь отдохнуть и раслабится, купить выпивку! Конечно это не первая необходимость но всёже!.';
echo '<br/><font color="blue"><b>Выпивка:</b></font><br/>';

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `gorod_bar`"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Нет выпивки';break;};
$q=mysql_query("SELECT * FROM `gorod_bar` ORDER BY `price` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($q)){
echo'&raquo; <a href="bar.php?action=buy&amp;id='.$row['id'].'">'.$row['name'].'</a> <b>'.$row['life'].'%</b> '.$row['price'].'$<br/>';
};
if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
break;



case 'buy':
$id=(int)$_GET['id'];
if(!$id){echo 'Ошибка!';break;};
$x=mysql_query("SELECT * FROM `gorod_bar` WHERE `id`='$id'");
if(!mysql_num_rows($x)){echo 'Ошибка выпивки не существует!';break;};
$x=mysql_fetch_assoc($x);

if($user['gorod_money']<$x['price']){
echo''.$user['nick'].', А ты знаешь что за выпивку надо платить, а ты пуст. Заработай зеленых и пpиxoди!<br/>';
}else{
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'".$x['price']."' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`type`,`price`,`life`)VALUES('".$user['id']."','".$x['name']."','eda','".$x['price']."','".$x['life']."')");


echo 'Вы купили! <a href="bar.php">Купить ещё?</a><br/>';
};
break;









};
echo '<div class="msg"><a href="index.php"> В игру</a></div></div>';
}else{echo '<div class="msg">Игра закрыта администратором!</div>';};

}else{
echo '<div class="msg">Игра доступена только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>